/* Base */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Fira Code', 'Courier New', monospace;
  color: #fff;
  line-height: 1.6;
}

/* Navbar */
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.95);
  padding: 1rem 2rem;
  z-index: 999;
}
.nav-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
}
.logo a {
  color: inherit;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  transition: color 0.5s ease;
}
.logo a:hover {
  color:#00ffc3
}

.cursor {
  font-weight: bold;
  animation: none;
}

.blinking {
  animation: blink 1s steps(1) infinite;
}

@keyframes blink {
  0%,
  100% {
    visibility: hidden;
  }
  50% {
    visibility: visible;
  }
}

.nav-toggle {
  display: none;
  background: none;
  border: none;
  font-size: 1.5rem;
  font-weight: bold;
  color: #fff;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 1.5rem;
}

.nav-links a {
  color: #f0f0f0;
  text-decoration: none;
  transition: color 0.5s ease;
}
.nav-links a:hover {
  color: #00ffc3;
}

/* (Smaller Window Size) */
@media (max-width: 675px) {
  .nav-toggle {
    display: block;
  }
  .nav-toggle.rotated {
    transform: rotate(90deg);
  }

  .nav-links {
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: rgba(0, 0, 0, 0.95);
    width: 100%;
    padding: 1rem;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s ease-in-out, visibility 0s linear 0.3s;
  }
  .nav-links.active {
    display: flex;
    visibility:visible;
    opacity: 1;
    transition: opacity 0.3s ease-in-out, visibility 0s linear;
  }
  .nav-links.no-transition,
  .nav-links.no-transition * {
    transition: none !important;
  }
}

/* Main Section */
.main {
  position: fixed;
  left: 0;
  right: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.6);
}
.main-content h1 {
  font-size: 3rem;
  margin-bottom: 0.5rem;
}
.main-content p {
  font-size: 1.25rem;
  color: #ccc;
}

/* Footer */
.footer {
  position: fixed;
  bottom: 0;
  left:0;
  right:0;
  text-align: center;
  padding: 2rem;
  background-color: rgba(0, 0, 0, 0.95);
  font-size: 0.9rem;
  color: #aaa;
}


/* Background */
.background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: -999;
  overflow: hidden;
  pointer-events: none;
}

.background img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 125vw;
  height: 125vh;
  object-fit: cover;
  will-change: transform;
}
